using System;
using System.Globalization;

namespace SilverTwit
{
    public static class Conversion
    {
        private static IFormatProvider culture = new CultureInfo("en-US");
        private const string twitterDateFormat = "ddd MMM dd HH:mm:ss zzzz yyyy";

        public static int ToInt(string value)
        {
            return int.Parse(value);
        }
        public static Uri ToUri(string value)
        {
            return new Uri(value);
        }
        public static bool ToBool(string value)
        {
            return (value.Trim().ToLower() == "true");
        }
        public static DateTime ToDateTime(string value)
        {
            return DateTime.ParseExact(value, twitterDateFormat, culture);
        }
    }
}