using System;
using System.Globalization;
using System.Windows.Browser;

namespace SilverTwitMSDN
{
    public static class MyExtensions
    {
        public static string UrlEncode(this string value)
        {
            string encodedValue = HttpUtility.UrlEncode(value); // + -> %2B -> %25B
            return encodedValue;
        }

        private static IFormatProvider culture = new CultureInfo("en-US");
        private const string twitterDateFormat = "ddd MMM dd HH:mm:ss zzzz yyyy";

        public static long ToLong(this string value)
        {
            return long.Parse(value);
        }
        public static Uri ToUri(this string value)
        {
            return new Uri(value);
        }
        public static bool ToBool(this string value)
        {
            return (value.Trim().ToLower() == "true");
        }
        public static DateTime ToDateTime(this string value)
        {
            return DateTime.ParseExact(value, twitterDateFormat, culture);
        }

    }
}